body {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  background: #0f172a;
  font-family: Arial, sans-serif;
}

.calculator {
  background: #111827;
  padding: 20px;
  border-radius: 15px;
  box-shadow: 0 0 20px rgba(0,0,0,0.5);
}

#display {
  width: 100%;
  height: 60px;
  font-size: 24px;
  margin-bottom: 10px;
  text-align: right;
  padding: 10px;
  border: none;
  border-radius: 8px;
    background: #ffffff;
  color: #000000; 
}

.buttons {
  display: grid;
  grid-template-columns: repeat(4, 60px);
  gap: 10px;
}

button {
  height: 60px;
  font-size: 18px;
  border: none;
  border-radius: 10px;
  cursor: pointer;
  background: #1f2937;
  color: white;
  transition: 0.2s;
}

button:hover {
  background: #fbaf34;
}

.zero {
  grid-column: span 2;
}